### Method

# Gtk TextBuffer insert_interactive_at_cursor

#### Declaration [src]

    gboolean
    gtk_text_buffer_insert_interactive_at_cursor (
      GtkTextBuffer* buffer,
      const char* text,
      int len,
      gboolean default_editable
    )

#### Description [src]

Inserts `text` in `buffer`.

Calls gtk_text_buffer_insert_interactive() at the cursor position.

`default_editable` indicates the editability of text that doesn’t have a tag affecting editability applied to it. Typically the result of gtk_text_view_get_editable() is appropriate here.

#### Parameters

`text` | `const char*`
| Text in UTF-8 format.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`len` | `int`
| Length of text in bytes, or -1.
`default_editable` | `gboolean`
| Default editability of buffer.

#### Return value

Returns: | `gboolean`
| Whether text was actually inserted.